Universal Combat Collectors' Edition v2.0 Beta Upgrade
This is not a mandatory upgrade and thus will not be available via the in-game patch updater
Single player upgrade only. NO plans to port multiplayer version at this time.
All GBS graphics tools (PTEStudio and BCStudio) included with v1.x will not work with this version
There are no plans to upgrade them.
This version will update all versions of the following versions, including patched versions
Retail DVD-ROM
Direct2Drive ESD
Gamers Gate ESD
Digital River ESD
BMT Micro (UCSE to UCCE upgrade special offer ESD)
To upgrade your pre-existing UCCE v1.x install:
Run the update and point it to your game install folder as you would a normal patch.

WARNING: This is a one-way street. To revert back to your v1.x install, you will have to
uninstall, kill the folder (including all files) and re-install from scratch. Then patch
to the latest v1.x patch as normal.
New system requirements:
Minimum:

Windows XP SP3, Vista SP1 (with all service packs)
DirectX 9.0c or later
Pentium IV 3.0 GHz or equivalent
1GB system RAM
256MB video card with pixel and vertex shader 2.0

nVidia chipsets: GeForce 6800 or better
ATI chipsets: ATI X800 or better

DirectX 9 compatible sound card
CD-ROM or DVD-ROM
Multiplayer requires LAN or broadband connection

Recommended:

Windows XP SP3, Vista SP1 (with all service packs)
Intel Core 2 Duo E6600 or AMD X2 6000+ 3.0GHz
2GB system RAM
512MB PCIe video card with pixel and vertex shader 2.0 or 3.0

nVidia chipsets: GeForce 7800 or better
ATI chipsets: ATI X1600 or better
DEMOS
PATCHES - CHEATS
REVIEWS
GAME VIDEOS
NEWS ENTRIES
THIS WEEK'S MOST POPULAR DOWNLOADS